%define upstream_name    IP-Info
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Interface to IP geographic and network data
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Validate::IP)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Exception)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Mouse)
BuildRequires: perl(Readonly)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::Simple)
BuildArch: noarch

%description
Quova RESTful API provides the geographic location and network data for any
Internet Protocol address in the public address space. The information
includes:

* * Postal code, city, state, region, country, and continent

* * Area code (US and Canada only) and time zone

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.60.0-2.mga4
+ Revision: 525156
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 0.60.0-1.mga4
+ Revision: 432418
- New version 0.06

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 368636
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 26 2012 kharec <kharec> 0.50.0-1.mga3
+ Revision: 284128
- imported package perl-IP-Info


* Sun Aug 26 2012 cpan2dist 0.05-1mga
- initial mageia release, generated with cpan2dist
